/*****************************************************************************
 *	axppi02w.h
 *
 *	AXP-PI02
 *
 *	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
 *
 *	Date 1998/10
 *
 *****************************************************************************/
#ifndef __AXPPI02__
#define __AXPPI02__

#include "axppi02.h"

#ifdef __cplusplus
extern "C"{
#endif

#define AXPPI02_DLL_NAME	  	_T("axppi02.dll")	// DLL
#define AXPPI02_MAX_PORT 		3					// AXP-PI02̃|[g
#define AXPPI02_ERR_WRAPDLL 	((DWORD)-1)			// bp[֐G[

// DLL [h
BOOL Pi02wDllOpen ( void );

// DLL A[h
BOOL Pi02wDllClose ( void );

// AXP-PI02 DLL,Driver̃o[Wԍ擾
BOOL Pi02wGetVersion ( PDWORD pdwDllVer, PDWORD pdwDrvVer );

// CӂAXP-PI02̎gp錾
BOOL Pi02wCreate(PWORD pwLogSocket, HWND hWnd, UINT uWMBase, PVOID pvInitArg );

// CӂAXP-PI02̎gpJ
BOOL Pi02wClose ( WORD wLogSocket );

// \[X擾
BOOL Pi02wGetResource ( WORD wLogSocket, PPI02_R pResInfo );

// |[g``bɑ΂PoCg͂s܂
BOOL Pi02wInPort( WORD wLogSocket, DWORD dwPort, PBYTE pbValue );

// |[g``bA܂̓R}h|[gւPoCgo
BOOL Pi02wOutPort( WORD wLogSocket, DWORD dwPort, BYTE bValue );  //

// fBNV|[gɏo
BOOL Pi02wSetDirection( WORD wLogSocket, BYTE bDirectionBit );  //

// G[R[h擾
DWORD Pi02wGetLastError( WORD wLogSocket ); //

#ifdef __cplusplus
}
#endif
#endif // __AXPPI02__
