/*****************************************************************************
 *	axppi02s.h
 *
 *	AXP-PI02
 *
 *	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
 *
 *	̃\[Xɂ̓bp[֐̎gpႪLqĂ܂B
 *
 *****************************************************************************/
#pragma once

#include <windows.h>
#include "Axppi02w.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace SamplePi02
{
	/// <summary> 
	/// Axppi02s ̊Tv
	///
	/// x : ̃NX̖OύXꍇÃNXˑ邷ׂĂ .resx t@CɊ֘Atꂽ 
	///          }l[W \[X RpC c[ɑ΂ 'Resource File Name' vpeB 
	///          ύXKv܂B̕ύXsȂƁA
	///          fUCiƁÃtH[Ɋ֘Atꂽ[JCYς݃\[XƂA
	///          ݂ɗpłȂȂ܂B
	/// </summary>
	public __gc class Axppi02s : public System::Windows::Forms::Form
	{
	public: 
		Axppi02s(void)
		{
			InitializeComponent();
		}
        
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
        
	private:
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		System::ComponentModel::Container* components;

		static Axppi02w* Pi02w;

		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		void InitializeComponent(void)
		{
			// 
			// Axppi02s
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 12);
			this->ClientSize = System::Drawing::Size(292, 266);
			this->Name = S"Axppi02s";
			this->StartPosition = System::Windows::Forms::FormStartPosition::CenterScreen;
			this->Text = S"AXP-PI02 Sample";
			this->Load += new System::EventHandler(this, Axppi02s_Load);

		}		
		private: System::Void Axppi02s_Load(System::Object *  sender, System::EventArgs *  e)
		{
			String* szbuf;
			int dwDllVer, dwDrvVer;
			bool bResult;				// 
			short wLogSocket;			// foCXi[
			Byte  Value;
			Axppi02w::Resource* ri;		// \[X
			int i;

			Pi02w = new Axppi02w;
			ri    = new Axppi02w::Resource;
			ri->dwMemBase		= new Int32[Axppi02w::MAX_MEM];
			ri->dwMemLength		= new Int32[Axppi02w::MAX_MEM];
			ri->dwMemAttrib		= new Int32[Axppi02w::MAX_MEM];
			ri->dwIOPortBase	= new Int32[Axppi02w::MAX_IO];
			ri->dwIOPortLength	= new Int32[Axppi02w::MAX_IO];
			ri->dwIRQRegisters	= new Int32[Axppi02w::MAX_IRQ];
			ri->dwIRQAttrib		= new Int32[Axppi02w::MAX_IRQ];
			ri->dwDMALst		= new Int32[Axppi02w::MAX_DMA];
			ri->dwDMAAttrib		= new Int32[Axppi02w::MAX_DMA];
			ri->dwReserved1		= new Int32[Axppi02w::MAX_RSV];

			// 
			ri->dwNumMemWindows = 0;
			for (i=0; i<Axppi02w::MAX_MEM; i++) {
				ri->dwMemBase[i]   = 0;
				ri->dwMemLength[i] = 0;
				ri->dwMemAttrib[i] = 0;
			}
			ri->dwNumIOPorts = 0;
			for (i=0; i<Axppi02w::MAX_IO; i++) {
				ri->dwIOPortBase[i]   = 0;
				ri->dwIOPortLength[i] = 0;
			}
			ri->dwNumIRQs = 0;
			for (i=0; i<Axppi02w::MAX_IRQ; i++) {
				ri->dwIRQRegisters[i] = 0;
				ri->dwIRQAttrib[i]    = 0;
			}
			ri->dwNumDMAs = 0;
			for (i=0; i<Axppi02w::MAX_DMA; i++) {
				ri->dwDMALst[i]    = 0;
				ri->dwDMAAttrib[i] = 0;
			}
			for (i=0; i<Axppi02w::MAX_RSV; i++)
				ri->dwReserved1[i] = 0;

			//--------------------	o[Wԍ\	----------------------------------
			// AXP-PI02 DLL,Driver̃o[Wԍ擾
			if (Pi02w->GetVersion(&dwDllVer, &dwDrvVer) == false) {
				ErrorMessage(Axppi02w::SOCKET_AUTO);
				return;
			}
			szbuf = String::Concat(S"Version\n",
									String::Format(S"DLL: {0}H\n", dwDllVer.ToString("x8")),
									String::Format(S"DRV: {0}H",   dwDrvVer.ToString("x8")));
			ResultMessage(szbuf);

			//-----------------------  AXP-PI02̎gp錾	 -----------------------------
			wLogSocket = Axppi02w::SOCKET_AUTO;			// gp̃foCXT܂B
			bResult = Pi02w->Create( &wLogSocket, NULL, 0, NULL );
			if (bResult == false) {
				ErrorMessage(Axppi02w::SOCKET_AUTO);
				return;
			}
			szbuf = String::Concat(S"Created\n\n",
									String::Format(S"LogSocket: {0}", wLogSocket.ToString("d")));
			ResultMessage(szbuf);

			//-------------------------  \[X擾  -----------------------------
			if (Pi02w->GetResource(wLogSocket, ri) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			szbuf = String::Concat(String::Format(S"IO Address: {0}H - {1}H\n",
													ri->dwIOPortBase[0].ToString("x4"),
													(ri->dwIOPortBase[0] + ri->dwIOPortLength[0] - 1).ToString("x4")));
			ResultMessage(szbuf);

			//---------------------------  샂[h̐ݒ  -----------------------------
			// fBNV 15H 
			if (Pi02w->SetDirection(wLogSocket, 0x15) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			// R}h|[g 90H 
			if (Pi02w->OutPort(wLogSocket, Axppi02w::PORT_CMD, 0x90) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			// fBNV 39H 
			if (Pi02w->SetDirection(wLogSocket, 0x39) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			// fBNV 28H 
			if (Pi02w->SetDirection(wLogSocket, 0x28) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			szbuf = String::Concat(S"샂[hݒ肵܂\n",
									S"|[g`@\n",
									S"|[ga@o\n",
									S"|[gb@o\n");
			ResultMessage(szbuf);

			//---------------------------  o͎s  -----------------------------
			Value = 0xaa;
			if (Pi02w->OutPort(wLogSocket, Axppi02w::PORT_B, Value) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			ResultMessage(String::Format(S"|[ga {0}H o͂܂", Value.ToString("x2")));

			//---------------------------  ͎s  -----------------------------
			Value = 0x00;
			if (Pi02w->InPort(wLogSocket, Axppi02w::PORT_A, &Value) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			ResultMessage(String::Format(S"͒l |[g` {0}H", Value.ToString("x2")));

			//-------------------  AXP-PI02̎gpJ	 -------------------------------
			if (Pi02w->Close(wLogSocket) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			ResultMessage(S"Closed");
			this->Close();
		}

		/*============================================================================
		// ʂ\
		//==========================================================================*/
		private: void ResultMessage(String* pszbuf)
		{
			MessageBox::Show(pszbuf, this->Text, 
								MessageBoxButtons::OK, MessageBoxIcon::Information);
		}

		/*============================================================================
		// װүނ\
		//==========================================================================*/
		private: void ErrorMessage(short wLogSocket)
		{
			int dwRes = Pi02w->GetLastError(wLogSocket);
			String* szBuf;

			switch (dwRes) {
				case Axppi02w::ERR_SYSTEM:
				case Axppi02w::ERR_WRAPDLL:
					dwRes = System::Runtime::InteropServices::Marshal::GetLastWin32Error();
					szBuf = String::Concat(S"System error\n\n",
											String::Format(S"Error code: {0}H", 
															dwRes.ToString("x8")));
					break;
				default:
					szBuf = String::Concat(S"AXP-PI02 error\n\n",
											String::Format(S"Error code: {0}H", 
															dwRes.ToString("x8")));
					break;
			}
			MessageBox::Show(szBuf, S"AXP-PI02 ERROR",
								MessageBoxButtons::OK, MessageBoxIcon::Stop);
		}
	};
}
