/*****************************************************************************
 *	axppi02s.h
 *
 *	AXP-PI02
 *
 *	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
 *
 *	̃\[Xɂ̓bp[֐̎gpႪLqĂ܂B
 *
 *****************************************************************************/
#pragma once

#include <windows.h>
#include "Axppi02w.h"

namespace SamplePi02 {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;

	/// <summary>
	/// Form1 ̊Tv
	///
	/// x: ̃NX̖OύXꍇÃNXˑ邷ׂĂ .resx t@CɊ֘Atꂽ
	///          }l[W \[X RpC c[ɑ΂ 'Resource File Name' vpeB
	///          ύXKv܂B̕ύXsȂƁA
	///          fUCiƁÃtH[Ɋ֘Atꂽ[JCYς݃\[XƂA
	///          ݂ɗpłȂȂ܂B
	/// </summary>
	public ref class Form1 : public System::Windows::Forms::Form
	{
	public:
		Form1(void)
		{
			InitializeComponent();
			//
			//TODO: ɃRXgN^ R[hǉ܂
			//
		}

	protected:
		/// <summary>
		/// gp̃\[XׂăN[Abv܂B
		/// </summary>
		~Form1()
		{
			if (components)
			{
				delete components;
			}
		}

	private:
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		System::ComponentModel::Container ^components;

		static Axppi02w* Pi02w;

#pragma region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		void InitializeComponent(void)
		{
			this->SuspendLayout();
			// 
			// Form1
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 12);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(292, 266);
			this->Name = L"Form1";
			this->StartPosition = System::Windows::Forms::FormStartPosition::CenterScreen;
			this->Text = L"AXP-PI02 Sample";
			this->Load += gcnew System::EventHandler(this, &Form1::Form1_Load);
			this->ResumeLayout(false);

		}
#pragma endregion
		private: System::Void Form1_Load(System::Object^  sender, System::EventArgs^  e) {
			String^ szbuf;
			int dwDllVer, dwDrvVer;
			bool bResult;				// 
			short wLogSocket;			// foCXi[
			Byte  Value;
			Axppi02w::Resource* ri;		// \[X
			int i;

			Pi02w = new Axppi02w;
			ri    = new Axppi02w::Resource;

			// 
			ri->dwNumMemWindows = 0;
			for (i=0; i<Axppi02w::MAX_MEM; i++) {
				ri->dwMemBase[i]   = 0;
				ri->dwMemLength[i] = 0;
				ri->dwMemAttrib[i] = 0;
			}
			ri->dwNumIOPorts = 0;
			for (i=0; i<Axppi02w::MAX_IO; i++) {
				ri->dwIOPortBase[i]   = 0;
				ri->dwIOPortLength[i] = 0;
			}
			ri->dwNumIRQs = 0;
			for (i=0; i<Axppi02w::MAX_IRQ; i++) {
				ri->dwIRQRegisters[i] = 0;
				ri->dwIRQAttrib[i]    = 0;
			}
			ri->dwNumDMAs = 0;
			for (i=0; i<Axppi02w::MAX_DMA; i++) {
				ri->dwDMALst[i]    = 0;
				ri->dwDMAAttrib[i] = 0;
			}
			for (i=0; i<Axppi02w::MAX_RSV; i++)
				ri->dwReserved1[i] = 0;

			//--------------------	o[Wԍ\	----------------------------------
			// AXP-PI02 DLL,Driver̃o[Wԍ擾
			if (Pi02w->GetVersion(&dwDllVer, &dwDrvVer) == false) {
				ErrorMessage(Axppi02w::SOCKET_AUTO);
				return;
			}
			szbuf = String::Concat("Version\n",
									String::Format("DLL: {0:x8}H\n", dwDllVer),
									String::Format("DRV: {0:x8}H",   dwDrvVer));
			ResultMessage(szbuf);

			//-----------------------  AXP-PI02̎gp錾	 -----------------------------
			wLogSocket = Axppi02w::SOCKET_AUTO;			// gp̃foCXT܂B
			bResult = Pi02w->Create( &wLogSocket, NULL, 0, NULL );
			if (bResult == false) {
				ErrorMessage(Axppi02w::SOCKET_AUTO);
				return;
			}
			szbuf = String::Concat("Created\n\n",
									String::Format("LogSocket: {0}", wLogSocket));
			ResultMessage(szbuf);

			//-------------------------  \[X擾  -----------------------------
			if (Pi02w->GetResource(wLogSocket, ri) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			szbuf = String::Concat(String::Format("IO Address: {0:x4}H - {1:x4}H\n",
													ri->dwIOPortBase[0],
													ri->dwIOPortBase[0] + ri->dwIOPortLength[0] - 1));
			ResultMessage(szbuf);

			//---------------------------  샂[h̐ݒ  -----------------------------
			// fBNV 15H 
			if (Pi02w->SetDirection(wLogSocket, 0x15) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			// R}h|[g 90H 
			if (Pi02w->OutPort(wLogSocket, Axppi02w::PORT_CMD, 0x90) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			// fBNV 39H 
			if (Pi02w->SetDirection(wLogSocket, 0x39) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			// fBNV 28H 
			if (Pi02w->SetDirection(wLogSocket, 0x28) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			szbuf = String::Concat("샂[hݒ肵܂\n",
									"|[g`@\n",
									"|[ga@o\n",
									"|[gb@o\n");
			ResultMessage(szbuf);

			//---------------------------  o͎s  -----------------------------
			Value = 0xaa;
			if (Pi02w->OutPort(wLogSocket, Axppi02w::PORT_B, Value) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			ResultMessage(String::Format("|[ga {0:x2}H o͂܂", Value));

			//---------------------------  ͎s  -----------------------------
			Value = 0x00;
			if (Pi02w->InPort(wLogSocket, Axppi02w::PORT_A, &Value) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			ResultMessage(String::Format("͒l |[g` {0:x2}H", Value));

			//-------------------  AXP-PI02̎gpJ	 -------------------------------
			if (Pi02w->Close(wLogSocket) == false) {
				ErrorMessage(wLogSocket);
				return;
			}
			ResultMessage("Closed");
			this->Close();
		}
		
		/*============================================================================
		// ʂ\
		//==========================================================================*/
		private: void ResultMessage(String^ pszbuf)
		{
			MessageBox::Show(pszbuf, this->Text, 
								MessageBoxButtons::OK, MessageBoxIcon::Information);
		}

		/*============================================================================
		// װүނ\
		//==========================================================================*/
		private: void ErrorMessage(short wLogSocket)
		{
			int dwRes = Pi02w->GetLastError(wLogSocket);
			String^ szBuf;

			switch (dwRes) {
				case Axppi02w::ERR_SYSTEM:
				case Axppi02w::ERR_WRAPDLL:
					dwRes = System::Runtime::InteropServices::Marshal::GetLastWin32Error();
					szBuf = String::Concat("System error\n\n",
											String::Format("Error code: {0:x8}H", dwRes));
					break;
				default:
					szBuf = String::Concat("AXP-PI02 error\n\n",
											String::Format("Error code: {0:x8}H", dwRes));
					break;
			}
			MessageBox::Show(szBuf, "AXP-PI02 ERROR",
								MessageBoxButtons::OK, MessageBoxIcon::Stop);
		}

	};
}

