#ifndef _AxpPi02_H_
#define _AxpPi02_H_

#ifdef __cplusplus
extern "C" {
#endif

#define PI02_MAX_SOCKETS			16
#define PI02_SOCKET_AUTO			((WORD) ~0U)
#define PI02_PORT_A					0x0	// |[g`
#define PI02_PORT_B					0x1	// |[ga
#define PI02_PORT_C					0x2	// |[gb
#define PI02_PORT_CMD				0x3	// R}h|[g

// G[R[h
#define PI02_SUCCESS				0	// ُȂiIj
#define PI02_ERR_SYSTEM				1	// Windows  GetLastError() R[Ă
										// ɃhCo[hĂȂ\܂
#define PI02_ERR_NO_DEVICE			2	// gp\ȃfoCX܂
#define PI02_ERR_IN_USE				3	// w̃foCX͎gpł
#define PI02_ERR_INVALID_SOCKET		4	// Ș_\Pbgł
#define PI02_ERR_RESOURCE			5	// \[XG[
#define PI02_ERR_INVALID_PORT		6	// sȃ|[gv
#define PI02_ERR_INVALID_ARGUMENT	7	// sȈv܂

// \[X\

#define PI02_MAX_MEM				9
#define PI02_MAX_IO					20
#define PI02_MAX_IRQ				7
#define PI02_MAX_DMA				7

typedef struct _PI02_RESOURCE {
    DWORD   dwNumMemWindows;						// Not used
    DWORD   dwMemBase       [PI02_MAX_MEM];			// Not used
    DWORD   dwMemLength     [PI02_MAX_MEM];			// Not used
    DWORD   dwMemAttrib     [PI02_MAX_MEM];			// Not used
    DWORD   dwNumIOPorts;							// Num IO ports
    DWORD   dwIOPortBase    [PI02_MAX_IO];			// I/O port base
    DWORD   dwIOPortLength  [PI02_MAX_IO];			// I/O port length
    DWORD   dwNumIRQs;								// NumIRQs
    DWORD   dwIRQRegisters  [PI02_MAX_IRQ];			// IRQ Registers
    DWORD   dwIRQAttrib     [PI02_MAX_IRQ];			// IRQ Attrib
	DWORD	dwNumDMAs;								// Not used
    DWORD   dwDMALst        [PI02_MAX_DMA];			// Not used
    DWORD   dwDMAAttrib     [PI02_MAX_DMA];			// Not used
    DWORD   dwReserved1     [3];					// Not used
} PI02_RESOURCE, *PPI02_R;

// AvP[Vɑ郁bZ[W
#define PI02_WM_OFS_CARD_REMOVAL	0	// J[hꂽ
#define PI02_WM_OFS_IN				1	// O͔iIvVj

// -- ȉ API --
//======================================================================
// hCoƂckk̃o[W擾
//======================================================================
BOOL WINAPI Pi02GetVersion(
	PDWORD	pdwDllVer,					// DLL Version
	PDWORD	pdwDrvVer );				// DRV Version
//======================================================================
// foCXgp錾
//======================================================================
BOOL WINAPI Pi02Create(
	PWORD	pwLogSocket,				// _\Pbgԍ
	HWND	hWnd,						// bZ[W󂯂EChẼnh
	UINT	uWMBase,					// bZ[Wx[Xl
	PVOID	pvInitArg );				// \
//======================================================================
// foCXJ
//======================================================================
BOOL WINAPI Pi02Close(
	WORD	wLogSocket );				// _\Pbgԍ
//======================================================================
// \[X擾
//======================================================================
BOOL WINAPI Pi02GetResource(
	WORD	wLogSocket,					// _\Pbgԍ
	PPI02_R	pRes );						// \[X\̂̃|C^
//======================================================================
// |[g``bɑ΂PoCg͂s܂
//======================================================================
BOOL WINAPI Pi02InPort( 
	WORD wLogSocket,					// _\Pbgԍ
	DWORD dwPort,						// |[gԍ
	PBYTE pbValue );					// ͒li[̈ւ̃|C^
//======================================================================
// |[g``bA܂̓R}h|[gւPoCgo
//======================================================================
BOOL WINAPI Pi02OutPort( 
	WORD wLogSocket,					// _\Pbgԍ
	DWORD dwPort,						// |[gԍ
	BYTE bValue );						// o͒l
//======================================================================
// fBNV|[gɏo
//======================================================================
BOOL WINAPI Pi02SetDirection(
	WORD wLogSocket,					// _\Pbgԍ
	BYTE bDirectionBit );				// fBNVrbg
//======================================================================
// G[R[h擾
//======================================================================
DWORD WINAPI Pi02GetLastError(
	WORD wLogSocket );					// _\Pbgԍ

#ifdef __cplusplus
}
#endif
#endif

