Attribute VB_Name = "DLLDef"
'-----------------------------------------------------------------------
'       axppi02.bas
'
'       AXP-PI02 Win32 API.
'-----------------------------------------------------------------------

Option Explicit

Global Const PI02_MAX_SOCKETS = 16
Global Const PI02_SOCKET_AUTO = &HFFFF
Global Const PI02_PORT_A = 0
Global Const PI02_PORT_B = 1 '0
Global Const PI02_PORT_C = 2 '0
Global Const PI02_PORT_CMD = 3

' G[R[h
Global Const PI02_SUCCESS = 0               ' ُȂiIj
Global Const PI02_ERR_SYSTEM = 1            ' Windows  GetLastError() R[Ă
Global Const PI02_ERR_NO_DEVICE = 2         ' gp\ȃfoCX܂
Global Const PI02_ERR_IN_USE = 3            ' w̃foCX͎gpł
Global Const PI02_ERR_INVALID_SOCKET = 4    ' Ș_\Pbgł
Global Const PI02_ERR_RESOURCE = 5          ' \[XG[
Global Const PI02_ERR_INVALID_PORT = 6      ' sȃ|[gv
Global Const PI02_ERR_INVALID_ARGUMENT = 7  ' sȈv܂

' \[X\
Global Const PI02_MAX_MEM = 9
Global Const PI02_MAX_IO = 20
Global Const PI02_MAX_IRQ = 7
Global Const PI02_MAX_DMA = 7

' bZ[W
Global Const PI02_WM_OFS_CARD_REMOVAL = 0   ' J[hꂽ

' I/O\[X\
' YfoCXgpI/O\[XAvP[V󂯎邽߂̍\́B
Type PI02_RESOURCE
    dwNumMemWindows As Long                     ' EBhE
    dwMemBase(1 To PI02_MAX_MEM) As Long        ' EBhEJnAhX
    dwMemLength(1 To PI02_MAX_MEM) As Long      ' EBhE
    dwMemAttrib(1 To PI02_MAX_MEM) As Long      ' EBhE
    dwNumIOPorts As Long                        ' I/O|[g
    dwIOPortBase(1 To PI02_MAX_IO) As Long      ' I/O|[gJnAhX
    dwIOPortLength(1 To PI02_MAX_IO) As Long    ' I/O|[g
    dwNumIRQs As Long                           ' IRQ
    dwIRQRegisters(1 To PI02_MAX_IRQ) As Long   ' IRQԍ
    dwIRQAttrib(1 To PI02_MAX_IRQ) As Long      ' IRQ
    dwNumDMAs As Long                           ' DMA`l
    dwDMALst(1 To PI02_MAX_DMA) As Long         ' DMA`l
    dwDMAAttrib(1 To PI02_MAX_DMA) As Long      ' DMA`l
    dwReserved1(1 To 3) As Long                 ' \
End Type

'-----------------------------------------------------------
' API Functions
'-----------------------------------------------------------
Public Declare Function Pi02GetVersion Lib "axppi02" (ByRef pdwDllVer As Long, ByRef pdwDrvVer As Long) As Long
Public Declare Function Pi02Create Lib "axppi02" (ByRef pwLogSocket As Integer, ByVal hWnd As Long, ByVal uWMBase As Long, ByRef pvInitArg As Any) As Long
Public Declare Function Pi02Close Lib "axppi02" (ByVal wLogSocket As Integer) As Long
Public Declare Function Pi02GetResource Lib "axppi02" (ByVal wLogSocket As Integer, ByRef pres As PI02_RESOURCE) As Long
Public Declare Function Pi02InPort Lib "axppi02" (ByVal wLogSocket As Integer, ByVal dwPort As Long, ByRef pbInValue As Byte) As Long
Public Declare Function Pi02OutPort Lib "axppi02" (ByVal wLogSocket As Integer, ByVal dwPort As Long, ByVal bOutValue As Byte) As Long
Public Declare Function Pi02SetDirection Lib "axppi02" (ByVal wLogSocket As Integer, ByVal bOutValue As Byte) As Long
Public Declare Function Pi02GetLastError Lib "axppi02" (ByVal wLogSocket As Integer) As Long














